=== debian/changelog ===
spring (0.82.7.1+dfsg1-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #728401), remaining changes:
    - Add transitional pacakge spring-engine.
    - Use versioned Breaks/Replaces instead of Conflicts: spring-engine.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 24 May 2011 11:27:50 +0200

spring (0.82.7.1+dfsg1-3) unstable; urgency=low

  * Fix "FTBFS: AAStar.h:70:43: error: 'NULL' was not declared in this
    scope", add debian/patches/ftbfs-fix-625097.patch from upstream (Closes:
    #625097)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Jan Dittberner <jandd@debian.org>  Tue, 03 May 2011 17:32:06 +0200

spring (0.82.7.1+dfsg1-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 12:03:45 +0100

spring (0.82.7.1+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * change debian/watch to use upstream's announcement wiki page

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 19:35:44 +0100

spring (0.82.7+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * refresh patches debian/patches/0002-use-Debian-java-libs.patch and
    debian/patches/0005-fix-sdl-build.patch
  * remove sourceless installer/nsis_plugins/nsis7z.dll from tarball in
    debian/new-upstream
  * fix spelling error successfully instead of succesfully in
    debian/patches/0006-fix-spelling-error.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 06 Jan 2011 00:15:47 +0100

spring (0.82.6.1+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * improve debian/watch, add debian/new-upstream to automate DFSG
    repacking
  * add debian/spring.links to symlink the spring-dedicated manpage for
    engine-dedicated

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Nov 2010 10:33:34 +0100
